# pqxx::integrity_constraint_violation Class Reference
[Exception classes]

`#include <except.hxx>`

Inheritance diagram for pqxx::integrity_constraint_violation:

[legend]
List of all members.

## Public Member Functions

| integrity_constraint_violation (const PGSTD::string &err)
| integrity_constraint_violation (const PGSTD::string &err, const PGSTD::string &Q)

## Constructor & Destructor Documentation

pqxx::integrity_constraint_violation::integrity_constraint_violation | ( | const PGSTD::string & | err | ) | `[explicit]`

pqxx::integrity_constraint_violation::integrity_constraint_violation | ( | const PGSTD::string & | err,
|  | const PGSTD::string & | Q |
| ) |  |  |

The documentation for this class was generated from the following file:

- except.hxx